
%%%% Unit entries names

% Here are listed all the unit entries names that appear in the Army Book. Different entry for singular and plural if necessary.
% There are some examples from the Beast Herds book, remove or replace it for your book.

% CHARACTERS

\newcommand{\longshi}{Long Shi}
\newcommand{\tongshuai}{Tong Shuai}
\newcommand{\junshi}{Jun Shi}
\newcommand{\wushi}{Wu Shi}
\newcommand{\tusi}{Tu Si}
\newcommand{\zhanshen}{Zhan Shen}

% MOUNTS

\newcommand{\horse}{Horse}
\newcommand{\commandchariot}{Command Chariot}
\newcommand{\chassis}{Chassis}
\newcommand{\tianshi}{Tian-Shi}
\newcommand{\qilin}{Qilin}

% RETINUE

\newcommand{\retinue}{Retinue}

% CORE

\newcommand{\provincialsoldiers}{Provincial Soldiers}
\newcommand{\soldier}{Soldier}

\newcommand{\provincialcrossbows}{Provincial Crossbows}
\newcommand{\crossbowman}{Crossbowman}

\newcommand{\provincialcavalry}{Provincial Cavalry}
\newcommand{\rider}{Rider}

% SPECIAL

\newcommand{\silverdragons}{Silver Dragons}
\newcommand{\silverdragon}{Silver Dragon}

\newcommand{\warchariots}{War Chariots}
\newcommand{\crew}{Crew}

\newcommand{\heavenlyguard}{Heavenly Guard}

\newcommand{\imperialartillery}{Imperial Artillery}

\newcommand{\shenjidivision}{Shenji Division}
\newcommand{\shenjispecialist}{Shenji Specialist}

\newcommand{\warriormonks}{Warrior Monks}
\newcommand{\warriormonk}{Warrior Monk}

\newcommand{\langbing}{Lang Bing}

\newcommand{\nomadicriders}{Nomadic Riders}
\newcommand{\nomadicrider}{Nomadic Rider}

\newcommand{\ogreconscripts}{Ogre Conscripts}
\newcommand{\ogreconscript}{Ogre Conscript}

% UNFAIR WARFARE

\newcommand{\tianshiriders}{Tian-Shi Riders}

\newcommand{\diyuenvoys}{Diyu Envoys}
\newcommand{\diyuenvoy}{Diyu Envoy}

\newcommand{\xingtian}{Xing Tian}

\newcommand{\grandbastion}{Grand Bastion}
\newcommand{\bastionhauler}{Bastion Hauler}


%%%% Unit entries rules

% Here are listed the rule names and the rule texts, for each unit entry, if they are not defined in the Army Wide rules.
% There are some examples from the Beast Herds book, remove or replace it for your book.

%% CHARACTERS

% Long Shi

\newcommand{\imperialhistorian}{Imperial Historian}
\newcommand{\imperialhistoriandef}{%
	The model gains +1 \HealthPointsInitials, +1 \ArmourInitials, \textbf{\aegis{} (4+)} and a +1 modifier to its casting rolls. It \textbf{always} knows the Hereditary Spell in addition to its other Spells. Its base size is changed to 100\timess{}100 mm.%
}

% Jun Shi

\newcommand{\generalonly}{(General only)}

\newcommand{\ifbsb}{If \bsb{}}

\newcommand{\mountandretinueoptions}[1]{%
	\exploptionschoice{Mount & Retinue options}{\explAlCoOrder{#1}}%
}

\newcommand{\grandstrategy}{Grand Strategy}
\newcommand{\grandstrategydef}{%
	\stratagems{} issued by the model are applied to \textbf{all} Trained units in its \lineofcommand{}.%
}

% Wu Shi

\newcommand{\masteronly}{ (Master only)}


% Tu Si

\newcommand{\clanchieftain}{Clan Chieftain}
\newcommand{\clanchieftaindef}{%
	The model gains \textbf{\commandingpresence{}} but only models with \insignificant{} may benefit from it. R\&F model parts without \harnessed{} gain \textbf{\hatred{}} while they benefit from this instance of \commandingpresence{}.%
}

% Zhan Shen

\newcommand{\meleeaegis}{against Melee Attacks}

\newcommand{\neigongmaster}{Neigong Master}
\newcommand{\neigongmasterdef}{%
	Immediately after Siphon the Veil, a model with this rule may use up to 2 Veil Tokens and choose one Mastery Effect per Token used. Mastery Effects last One Turn.%
}

\newcommand{\swordsaint}{Sword Saint}
\newcommand{\swordsaintdef}{%
	Gains +1 AP and \textbf{\parry{}}.
Mastery Effects:
\begin{smallitemize}%
\item +2 Att.
\item +1 Str \& +1 AP.
\item \textbf{\lightningreflexes{}}.
\end{smallitemize}%%
}

\newcommand{\thousandfists}{Thousand Fists}
\newcommand{\thousandfistsdef}{%
	Gains +1 Att and \textbf{ignores \parry{}}.
Mastery Effects:
\begin{smallitemize}%
\item +2 Att.
\item +2 Str.
\item \textbf{Crush Attack (Divine Attacks, Magical Attacks)}; using a 2\textsuperscript{nd} Token allows to reroll a failed to-hit roll for this Special Attack.
\end{smallitemize}%%
}

\newcommand{\ninesuns}{Nine Suns}
\newcommand{\ninesunsdef}{%
	Gains Bow (0+) set to Shots 4, Str 4, AP 1, \textbf{\divineattacks{}}.
Mastery Effects:
\begin{smallitemize}%
\item \textbf{\lethalstrike{} (Shooting)}
\item \textbf{\battlefocus{} (Shooting)}
\item Reroll failed to-hit and to-wound rolls.
\end{smallitemize}%%
}

%% MOUNTS

% Tian-Shi

\newcommand{\longma}{Longma}
\newcommand{\longmadef}{%
	The model gains \textbf{\fly{7}{14}} and \textbf{\lighttroops{}}.%
}

% Qilin

\newcommand{\celestialscholar}{Celestial Scholar}
\newcommand{\celestialscholardef}{%
	The model \textbf{always} knows \textit{Healing Waters} and \textit{Summer Growth} (\druidism{}) in addition to its eventual Learned Spells and can cast them as if it were a \textbf{\wizardapprentice{}}. It does \textbf{not} know \textit{The Oaken Throne}, cannot exchange these Spells nor take \textit{Crown of the Wizard King}, and this does not make the model a \wizard{} unless it already is.%
}

%% RETINUE

% Retinue

\newcommand{\onechoiceonlyRETINUE}{Retinue (one choice only)}
\newcommand{\closeretinue}{Close Retinue}
\newcommand{\largeretinue}{Large Retinue}
\newcommand{\retinueoptionschoice}{\textbf{Must} choose (1 choice per Retinue model part):}

\newcommand{\retinuedef}{%
	A Character with a \retinue{} changes its Base size and gains the rules of the selected elements:
\begin{smallitemize}%
\item \closeretinue{}: Base 40\timess{}20 mm, gains one instance of the below model part.
\item \largeretinue{}: Base 40\timess{}40 mm, gains three instances of the below model part (each may choose a different option).
\end{smallitemize}%
}

\newcommand{\adviser}{\textbf{Adviser}}
\newcommand{\adviserdef}{%
	The model gains \textbf{\artofwar{} (+1)}.%
}

\newcommand{\artist}{\textbf{Artist}}
\newcommand{\artistdef}{%
	All model parts gain \textbf{\battlefocus{}} and the model may reroll one dice of a failed to-hit, to-wound or Casting roll per Player Turn (a dice that caused a Miscat cannot be rerolled).%
}

\newcommand{\scholar}{\textbf{Scholar}}
\newcommand{\scholardef}{%
	During Spell Selection, select one Spell per Scholar among the Learned Spells 1 of \alchemy{}, \cosmology{}, \evocation{}, and the \hereditaryspell{}. It can cast it as if it were a \textbf{\wizardapprentice{}}. This does not make the model a \wizard{} unless it already is.%
}

\newcommand{\swornguard}{\textbf{Sworn Guard}}
\newcommand{\swornguarddef}{%
	This model part gains +1 \OffensiveSkillInitials{}, +1 \St{}, +1 \AP{} and \halberd{}. The model gains +1 \HealthPointsInitials{} and +1 \DefensiveSkillInitials{}.%
}


%% CORE

% Provincial Soldiers

\newcommand{\soaringarrowsnote}{Units with an upgrade marked with [\soaringarrowsinitials{}] also counts towards \soaringarrows{}.}
\newcommand{\musttake}{\textbf{Must} take}

% Provincial Crossbows

\newcommand{\isalsosoaringarrows}{The unit additionally counts towards \soaringarrows{}.}


%% SPECIAL

% Heavenly Guard

\newcommand{\greatwall}{Great Wall}
\newcommand{\greatwalldef}{%
	A model with this rule in a unit with least as many files as ranks gains +1 \DefensiveSkillInitials{}, \textbf{\fearless{}, \stubborn{}} and may perform up to two Supporting Attacks.%
}

% Lang Bing

\newcommand{\uptotwochoices}{Up to two choices:}

\newcommand{\withpashanclan}{With \pashanclan{}}
\newcommand{\withoutpashanclan}{Without \pashanclan{}}

\newcommand{\pashanclan}{Pa-Shan Clan}
\newcommand{\pashanclandef}{%
	The model gains \textbf{\hardtarget{} (1), \skirmisher{}} and +1 \St{}.%
}

% Imperial Artillery

\newcommand{\crouchingtiger}{Crouching Tiger}
\newcommand{\crouchingtigerdef}{%
	\artilleryweapon{}.\newline%
\textbf{\cannon{}}, \range{36}, \shots{1}, \St{} 3 [9], \AP{} 0 [6], \alphaorderlistbf{\areaattack{1\timess{}5},{[\multiplewounds{\Dthree{}+1, \clippedwings{}}{}]}}%
}

\newcommand{\firearrowslauncher}{Fire Arrows Launcher}
\newcommand{\firearrowslauncherdef}{%
	\artilleryweapon{}.\newline%
\textbf{\volleygun{}}, \range{36}, \shots{2D6\timess{}2}, \St{} 3, \AP{} 1, \textbf{\flamingattacks{}}.%
}

\newcommand{\scorchingmouth}{Scorching Mouth}
\newcommand{\scorchingmouthdef}{%
	\artilleryweapon{}.\newline%
\textbf{\flamethrower{}}, \range{18}, \shots{1}, \St{} 4 \{5\}, \AP{} 0 \{1\},  \alphaorderlistbf{\flamingattacks{}, \{\multiplewounds{\Dthree{}}{}\}}.%
}

\newcommand{\triplebowballista}{Triple-Bow Ballista}
\newcommand{\triplebowballistadef}{%
	\artilleryweapon{}.\newline%
\range{60}, \shots{1}, \St{} 3 [6], \AP{} 10, \alphaorderlistbf{\areaattack{1\timess{}5},{[\multiplewounds{\Dthree{}}{}]}}%
}

\newcommand{\whirlwindbattery}{Whirlwind Battery}
\newcommand{\whirlwindbatterydef}{%
	\artilleryweapon{}.\newline%
\textbf{\catapult{2\timess{}2}}, \range{12--48}, \shots{3}, \St{} 2 [5], \AP{} 0 [2], \textbf{[\multiplewounds{\Dthree{}}{}]}. \newline%
This weapon treats all results on the Misfire Table as Malfunction (each shot can cause a Misfire).%
}


%% UNFAIR WARFARE

% Tian-Shi

\newcommand{\pixiu}{Pixiu}
\newcommand{\pixiudef}{%
	The model gains \textbf{\fly{8}{16}}.%
}

% Tian-Shi Riders

\newcommand{\longmarider}{Longma Rider}
\newcommand{\longmariderdef}{%
	The model loses \scoring{} and gains \textbf{\fly{7}{14}} and \textbf{\lighttroops{}}.%
}

% Xing Tian

\newcommand{\rage}{Rage}
\newcommand{\ragedef}{%
	Attack Attribute â Close Combat. Whenever the model part loses a \HealthPoint{}, it gains +1 \At{}. Whenever it gains a \HealthPoint{}, it suffers \minuss{}1 \At{}.%
}

% Grand Bastion

\newcommand{\skyfortress}{Sky Fortress}
\newcommand{\skyfortressdef}{%
	The model gains \textbf{\fly{8}{8}}, \textbf{\toweringpresence{}}, and \textbf{must} use Flying movement. The ranges of its eventual \textit{March to the Beat}, Shooting Weapons, and the distance at which friendly units become additional targets due to \heavenlygong{} are increased by \distance{6}.%
}

\newcommand{\heavenlygong}{Heavenly Gong}
\newcommand{\heavenlygongdef}{%
	The model gains \textbf{\aegis{} (5+)} and \textbf{Musician}. When it is targeted by an Augment Spell, all friendly units within \distance{6} immediately become additional targets for the Spell.%
}

\newcommand{\divineordnanceoptions}{\divineordnance{} options (up to two choices):}
\newcommand{\divineordnance}{Divine Ordnance}
\newcommand{\divineordnancedef}{%
	All model parts gain \textbf{\marchandshoot{}} and \textbf{\quicktofire{}}. It may shoot with all its \shootingweapons{} simultaneously, and each of its \artilleryweapons{} may cause a Misfire.%
}

\newcommand{\swivelingstands}{Swiveling Stands}
\newcommand{\shootingplatform}{Shooting Platform}
\newcommand{\shootingplatformdef}{%
	Each of these options adds two additional Crew model parts.%
}

\newcommand{\nestofbees}{Nest of Bees}
\newcommand{\nestofbeesdef}{%
	\artilleryweapon{}.\newline
		\textbf{\volleygun{}}: \range{24}, \shots{2D6\timess{}2}, \St{} 3, \AP{} 1, \textbf{\flamingattacks{}}.%
}

\newcommand{\inbuiltscorchingmouth}{Inbuilt Scorching Mouth}
\newcommand{\inbuiltscorchingmouthdef}{%
	\artilleryweapon{}.\newline
		\textbf{\flamethrower{}}: \range{12}, \shots{1}, \St{} 4, \AP{} 0, \textbf{\flamingattacks{}}.\newline
		 It treats any Explosion! result on the Misfire Table as a Breakdown \textbf{and} a Malfunction.%
}